Subject: Re: bug#21952: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs)

From: Michael Albinus <[email-masked]>
Date: Fri, 02 Sep 2016 15:43:33 +0200

Dan Dever <[email-masked]> writes:

Hi Dan,

> On 08/23/2016 04:22 AM, Michael Albinus wrote:
>> When autorevert detects a file on a known mount location,
>> `auto-revert-use-notify' is set to nil per default. See
>> `auto-revert-notify-exclude-dir-regexp', which uses
>>
>> (regexp-opt '("/afs/" "/media/" "/mnt" "/net/" "/tmp_mnt/"))
>>
>> Perhaps, the file Dan wants to watch is mounted somewhere else. In this
>> case I recommend to extend that variable.
>>
>> Dan, could you check whether this works for you?
>
> This does work (tried it on emacs-25.0.95).
>
> I prefer just setting auto-revert-use-notify to nil, however, since
> we'd never be using auto-revert on locally mounted files anyways.  But
> thanks for mentioning the alternative.

Thanks for checking. So I will close this bug.

> What also works is the configuration switch that we recently
> discovered (and have used to build 25.1-rc1/-rc2):
> "--with-file-notification=no".
>
> I'm not sure I understand the preference for using a file notification
> utility by default for auto-revert when that utility only works on
> locally mounted files.  I haven't worked in an environment where our
> storage has been locally mounted in decades, and I've never had a
> reason to use auto-revert at home.

There are good reasons for file notifications. Think about working in a
git-controlled directory of source files, where file changes could
happen outside Emacs. You want to be informed about, immediately.

But if you don't need it, it is totally OK to compile without file
notification support.

> Thanks,
> Dan

Best regards, Michael.